allocator_type
array
array_t
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
boolean_t
cbegin
cend
clear
const_pointer
const_reference
const_reverse_iterator
count
crbegin
crend
difference_type
dump
empty
end
end
erase
erase
erase
erase
find
find
front
front
get
get
get
get_allocator
get_ptr
get_ptr
get_ref
get_ref
insert
insert
insert
insert
insert
is_array
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_object
is_primitive
is_string
is_structured
iterator_wrapper
iterator_wrapper
max_size
number_float_t
number_integer_t
object
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator<
operator<
operator<<
operator<<
operator<=
operator=
operator==
operator==
operator==
operator>
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
parse
parse
parse
parse_event_t
parser_callback_t
pointer
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
size
size_type
string_t
swap
swap
swap
swap
type
value
value
value_t
value_type
~basic_json

template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>

std::istream& operator>> | ( | std::istream & | i,
|  | basic_json & | j
| ) |  |

friend

deserialize from stream Deserializes an input stream to a JSON value.

Parameters

  [in,out] | i | input stream to read a serialized JSON value from
  [in,out] | j | JSON value to write the deserialized input to

Exceptions

  std::invalid_argument | in case of parse errors

Complexity
  Linear in the length of the input. The parser is a predictive LL(1) parser.

Note
  A UTF-8 byte order mark is silently ignored.

Example
  The example below shows how a JSON value is constructed by reading a serialization from a stream.
  #include <json.hpp>
  using namespace nlohmann;
  int main()
  {
  // create stream with serialized JSON
  std::stringstream ss;
  ss << R"({
  "number": 23,
  "string": "Hello, world!",
  "array": [1, 2, 3, 4, 5],
  "boolean": false,
  "null": null
  })";
  // create JSON value and read the serialization from the stream
  json j;
  j << ss;
  // serialize JSON
  std::cout << std::setw(2) << j << '\n';
  }
  nlohmann::basic_json
  a class to store JSON values
  Definition: json.hpp:191
  nlohmann
  namespace for Niels Lohmann
  Definition: json.hpp:88
  Output (play with this example online):

      {
        "array": [
          1,
          2,
          3,
          4,
          5
        ],
        "boolean": false,
        "null": null,
        "number": 23,
        "string": "Hello, world!"
      }

  The example code above can be translated with

      g++ -std=c++11 -Isrc doc/examples/operator_deserialize.cpp -o operator_deserialize

See also
  parse(std::istream&, parser_callback_t) for a variant with a parser callback function to filter values while parsing

Since
  version 1.0.0

Definition at line 5285 of file json.hpp.